org.richfaces.ui.misc.hotKey

## Class UIHotKey

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.ui.misc.hotKey.AbstractHotKey
      - - org.richfaces.ui.misc.hotKey.UIHotKey

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIHotKey
      extends AbstractHotKey
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <r:hotKey> component allows registering hot keys on the page or particular elements and defining client side processing functions for these keys.

  Author:
    ilya_shaikovsky, Lukas Fryc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIHotKey.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIHotKey()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getKey()`
    `String` | `getOnkeydown()`
    `String` | `getOnkeyup()`
    `String` | `getSelector()`
    `boolean` | `isEnabledInInput()`
    `boolean` | `isPreventDefault()`
    `void` | `setEnabledInInput(boolean enabledInInput)`
    `void` | `setKey(String key)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setPreventDefault(boolean preventDefault)`
    `void` | `setSelector(String selector)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIHotKey

          public UIHotKey()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isEnabledInInput

          public boolean isEnabledInInput()

      Specified by:
        `isEnabledInInput` in class `AbstractHotKey`

    - #### setEnabledInInput

          public void setEnabledInInput(boolean enabledInInput)

    - #### getKey

          public String getKey()

      Specified by:
        `getKey` in class `AbstractHotKey`

    - #### setKey

          public void setKey(String key)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractHotKey`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractHotKey`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### isPreventDefault

          public boolean isPreventDefault()

      Specified by:
        `isPreventDefault` in class `AbstractHotKey`

    - #### setPreventDefault

          public void setPreventDefault(boolean preventDefault)

    - #### getSelector

          public String getSelector()

      Specified by:
        `getSelector` in class `AbstractHotKey`

    - #### setSelector

          public void setSelector(String selector)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.